# This is the root ritk CMakeLists file.
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

#-----------------------------------------------------------------------------

PROJECT(RITK)

#-----------------------------------------------------------------------------

# ITK
#FIND_PACKAGE(ITK REQUIRED)
#IF(ITK_FOUND)
#	INCLUDE_DIRECTORIES(${ITK_INCLUDE_DIRS})
#	INCLUDE(${ITK_USE_FILE})
#ELSE()
#	MESSAGE(FATAL_ERROR "ITK not found, but needed.")
#ENDIF(ITK_FOUND)

# VTK
#FIND_PACKAGE(VTK REQUIRED)
#IF(VTK_FOUND)
#	INCLUDE(${VTK_USE_FILE})
#	INCLUDE_DIRECTORIES(${VTK_INCLUDE_DIRS})
#ELSE()
#	MESSAGE(FATAL_ERROR "VTK not found, but needed.")
#ENDIF(VTK_FOUND)

# Qt4
#FIND_PACKAGE(Qt4 REQUIRED)
#IF(QT4_FOUND)
#	INCLUDE_DIRECTORIES(${QT_INCLUDE_DIR})
#	INCLUDE(${QT_USE_FILE})	
#ELSE()
#	MESSAGE(FATAL_ERROR "QT4 not found, but needed.")
#ENDIF(QT4_FOUND)

# OPEN GL
#FIND_PACKAGE(OpenGL REQUIRED)
#IF(OPENGL_FOUND)
#	INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
#ELSE()
#	MESSAGE(FATAL_ERROR"OPENGL not found, but needed.")
#ENDIF(OPENGL_FOUND)

#-----------------------------------------------------------------------------



INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR})
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})


SUBDIRS(Code)

SET(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR})
add_definitions( "/D_SCL_SECURE_NO_WARNINGS" )

# Install CMake
INSTALL(FILES	${CMAKE_SOURCE_DIR}/CMake/FindRITK.cmake
				${CMAKE_SOURCE_DIR}/CMake/RITKConfig.cmake 
				${CMAKE_SOURCE_DIR}/CMake/UseRITK.cmake
				DESTINATION ./)
				
INSTALL(FILES 	${CMAKE_SOURCE_DIR}/Copyright/ITKCopyright.txt
				${CMAKE_SOURCE_DIR}/Copyright/VTKCopyright.txt
				${CMAKE_SOURCE_DIR}/Copyright/RITKCopyright.txt
				DESTINATION Copyright)
				
INSTALL(FILES 	${CMAKE_SOURCE_DIR}/README.txt
				DESTINATION ./)
				
INSTALL(FILES 	${CMAKE_SOURCE_DIR}/Documentation/InstallGuide.pdf				
				DESTINATION Documentation)

INSTALL(FILES	${CMAKE_SOURCE_DIR}/PluginConfigs/default.xml
				DESTINATION PluginConfigs)

INSTALL(DIRECTORY 	${CMAKE_SOURCE_DIR}/PluginTemplates 
				DESTINATION PluginTemplates)
